SnapshotCommand (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class SnapshotCommand

- java.lang.Object
- - org.apache.cassandra.db.SnapshotCommand

-     public class SnapshotCommand
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `clear_snapshot`
    `java.lang.String` | `column_family`
    `java.lang.String` | `keyspace`
    `static org.apache.cassandra.db.SnapshotCommandSerializer` | `serializer`
    `java.lang.String` | `snapshot_name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnapshotCommand(java.lang.String keyspace, java.lang.String columnFamily, java.lang.String snapshotName, boolean clearSnapshot)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageOut` | `createMessage()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final org.apache.cassandra.db.SnapshotCommandSerializer serializer

    - #### keyspace

          public final java.lang.String keyspace

    - #### column_family

          public final java.lang.String column_family

    - #### snapshot_name

          public final java.lang.String snapshot_name

    - #### clear_snapshot

          public final boolean clear_snapshot

  - ### Constructor Detail

    - #### SnapshotCommand

          public SnapshotCommand(java.lang.String keyspace,
                                 java.lang.String columnFamily,
                                 java.lang.String snapshotName,
                                 boolean clearSnapshot)

  - ### Method Detail

    - #### createMessage

          public MessageOut createMessage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation